Bug 1643116 (CVE-2018-18883) - CVE-2018-18883 xen: Nested VT-x usable even when disabled
Summary: CVE-2018-18883 xen: Nested VT-x usable even when disabled
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-18883
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1643118
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-10-25 14:16 UTC by Andrej Nemec
Modified: 2019-09-29 15:01 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:41:05 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2018-10-25 14:16:07 UTC
When running HVM guests, virtual extensions are enabled in hardware because
Xen is using them.  As a result, a guest can blindly execute the
virtualisation instructions, and will exit to Xen for processing.

In the case that the guest hasn't followed the correct (virtual) configuration
procedure, it shouldn't be able to use the instructions, and Xen should
respond with #UD exception.  When nested virtualisation is disabled for the
guest, it is not permitted to complete the configuration procedure.

Unfortunately, when nested virtualisation is intended to be disabled for the
guest, an incorrect default value leads Xen to believe that the configuration
procedure has already been completed.

References:

https://seclists.org/oss-sec/2018/q4/98

Comment 1 Andrej Nemec 2018-10-25 14:16:37 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1643118]


Note You need to log in before you can comment on or make changes to this bug.